Loading...
Searching...
No Matches
snd_pcm_ioplug_t Struct Reference
External PCM plugin SDK » External I/O plugin SDK

`#include <pcm_ioplug.h>`

## Data Fields

unsigned int | version
const char * | name
unsigned int | flags
int | poll_fd
unsigned int | poll_events
unsigned int | mmap_rw
const snd_pcm_ioplug_callback_t * | callback
void * | private_data
snd_pcm_t * | pcm
snd_pcm_stream_t | stream
snd_pcm_state_t | state
volatile snd_pcm_uframes_t | appl_ptr
volatile snd_pcm_uframes_t | hw_ptr
int | nonblock
snd_pcm_access_t | access
snd_pcm_format_t | format
unsigned int | channels
unsigned int | rate
snd_pcm_uframes_t | period_size
snd_pcm_uframes_t | buffer_size

## Detailed Description

Handle of ioplug

I/O plugin handle

## Field Documentation

## access

snd_pcm_access_t snd_pcm_ioplug_t::access

access type; filled after hw_params is called

## appl_ptr

volatile snd_pcm_uframes_t snd_pcm_ioplug_t::appl_ptr

application pointer; read-only

## buffer_size

snd_pcm_uframes_t snd_pcm_ioplug_t::buffer_size

buffer size; filled after hw_params is called

## callback

const snd_pcm_ioplug_callback_t* snd_pcm_ioplug_t::callback

callbacks of this plugin; must be filled before calling snd_pcm_ioplug_create()

## channels

unsigned int snd_pcm_ioplug_t::channels

number of channels; filled after hw_params is called

## flags

unsigned int snd_pcm_ioplug_t::flags

SND_PCM_IOPLUG_FLAG_XXX

## format

snd_pcm_format_t snd_pcm_ioplug_t::format

PCM format; filled after hw_params is called

## hw_ptr

volatile snd_pcm_uframes_t snd_pcm_ioplug_t::hw_ptr

hw pointer; read-only

## mmap_rw

unsigned int snd_pcm_ioplug_t::mmap_rw

pseudo mmap mode

## name

const char* snd_pcm_ioplug_t::name

name of this plugin; must be filled before calling snd_pcm_ioplug_create()

## nonblock

int snd_pcm_ioplug_t::nonblock

non-block mode; read-only

## pcm

snd_pcm_t* snd_pcm_ioplug_t::pcm

PCM handle filled by snd_pcm_ioplug_create()

## period_size

snd_pcm_uframes_t snd_pcm_ioplug_t::period_size

period size; filled after hw_params is called

## poll_events

unsigned int snd_pcm_ioplug_t::poll_events

poll events

## poll_fd

int snd_pcm_ioplug_t::poll_fd

poll file descriptor

## private_data

void* snd_pcm_ioplug_t::private_data

private data, which can be used freely in the driver callbacks

## rate

unsigned int snd_pcm_ioplug_t::rate

rate; filled after hw_params is called

## state

snd_pcm_state_t snd_pcm_ioplug_t::state

current PCM state; read-only

## stream

snd_pcm_stream_t snd_pcm_ioplug_t::stream

stream direcion; read-only

## version

unsigned int snd_pcm_ioplug_t::version

protocol version; SND_PCM_IOPLUG_VERSION must be filled here before calling snd_pcm_ioplug_create()

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/pcm_ioplug.h